<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:xs="http://www.w3.org/2001/XMLSchema">
    <xsl:variable name="fo:layout-master-set">
        <fo:layout-master-set>
            <fo:simple-page-master master-name="default-page" page-height="11in" page-width="8.5in" margin-left="0.6in" margin-right="0.6in">
                <fo:region-body margin-top="0.79in" margin-bottom="0.79in" />
            </fo:simple-page-master>
        </fo:layout-master-set>
    </xsl:variable>
    <xsl:template match="/">
        <fo:root>
            <xsl:copy-of select="$fo:layout-master-set" />
            <fo:page-sequence master-reference="default-page" initial-page-number="1" format="1">
                <fo:flow flow-name="xsl-region-body">
                    <fo:block>
                        <fo:block space-before.optimum="1pt" space-after.optimum="2pt">
                            <fo:block>
                                <fo:block color="black" space-before.optimum="-8pt">
                                    <fo:leader leader-length="100%" leader-pattern="rule" rule-thickness="1pt" />
                                </fo:block>
                                <xsl:apply-templates />
                                <fo:table width="19*8pt">
                                    <fo:table-column />
                                    <fo:table-body>
                                        <fo:table-row height="2*16pt">
                                            <fo:table-cell border-color="black" border-width="1pt" border-style="solid" padding-start="3pt" padding-end="3pt" padding-before="3pt" padding-after="3pt">
                                                <fo:block>
                                                    <xsl:value-of select="X-Firewire-1.0/Properties/NumberOfWords" />
                                                </fo:block>
                                            </fo:table-cell>
                                        </fo:table-row>
                                    </fo:table-body>
                                </fo:table>
                            </fo:block>
                        </fo:block>
                    </fo:block>
                </fo:flow>
            </fo:page-sequence>
        </fo:root>
    </xsl:template>
</xsl:stylesheet>
